camel-jcifs does not work with Fuse 6.2

Solution Verified - Updated -

Issue

  • There is no version of camel-jcifs that is compatible with Fuse 6.2. The same is probably true of other components from the camel-extra project. Attempting to install the component in Fuse 6.2 using features:install camel-jcifs will also import a previous version of Camel, and its dependencies, which will put the container into an unsupportable state. Installing the camel-jcifs bundle explicitly will work, but the bundle will not start because of missing dependencies which, again, cannot be resolved except by putting the container into an unsupportable state.

  • Access Windows share with username/password from Apache Camel.

Environment

-Red Hat JBoss Fuse
- 6.2.1
- 6.3.0

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In